<ion-content>
  <ion-grid style="height: 100%">
    <ion-row style="justify-content: center; height: 100%">
      <ion-col size="10" style="align-self: center">
        <ion-card style="padding: 2rem">
          <ion-chip color="danger" *ngIf="error">
            <ion-label color="danger">Une erreur est survenue, veuillez vérifier vos champs.</ion-label>
          </ion-chip>
          <form #formElement [formGroup]="scheduleForm" (ngSubmit)="handleSubmit($event)">
            <ion-item>
              <ion-label>Promotion</ion-label>
              <ion-select formControlName="schedule" required placeholder="Sélectionnez la promotion">
                <ion-select-option *ngFor="let promo of promotions" [value]="promo.ref_schedule.id">{{promo.name}}</ion-select-option>
              </ion-select>
            </ion-item>
            <ion-item>
              <ion-label>Intitulé</ion-label>
              <ion-textarea required formControlName="name"></ion-textarea>
            </ion-item>
            <ion-item>
              <ion-label>Date/heure</ion-label>
              <ion-datetime formControlName="date" displayFormat="D MMM YYYY H:mm" [min]="minDate"></ion-datetime>
            </ion-item>

            <div style="padding-top: 2rem; margin-right: 1rem; margin-left: 1rem; padding-bottom: 2rem;">
              <ion-button expand="block" size="medium" color="success" type="submit">Nouveau cours</ion-button>
            </div>
          </form>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
